Package ru.bitel.oss.kernel.entity.common.bean.filter

# Class FilterEntityAttr

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.filter.FilterEntityAttr

Direct Known Subclasses:
  `FilterEntityAttrAddress`, `FilterEntityAttrBoolean`, `FilterEntityAttrContract`, `FilterEntityAttrDate`, `FilterEntityAttrEmail`, `FilterEntityAttrHouse`, `FilterEntityAttrInt`, `FilterEntityAttrList`, `FilterEntityAttrPhone`, `FilterEntityAttrText`

public abstract class FilterEntityAttr extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MODE_EQ`
  `static final int`
  `MODE_LIKE`
  `static final int`
  `MODE_REGEX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterEntityAttr()`
  `FilterEntityAttr(int entitySpecAttrId)`
  `FilterEntityAttr(Set<Integer> entitySpecAttrIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getEntitySpecAttrId()`
  `Set<Integer>`
  `getEntitySpecAttrIds()`
  `void`
  `setEntitySpecAttrId(int entitySpecAttrId)`
  `void`
  `setEntitySpecAttrIds(Set<Integer> entitySpecAttrIds)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MODE_EQ

    public static final int MODE_EQ
    See Also:
      - Constant Field Values

  - ### MODE_LIKE

    public static final int MODE_LIKE
    See Also:
      - Constant Field Values

  - ### MODE_REGEX

    public static final int MODE_REGEX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FilterEntityAttr

    public FilterEntityAttr()

  - ### FilterEntityAttr

    public FilterEntityAttr(Set<Integer> entitySpecAttrIds)

  - ### FilterEntityAttr

    public FilterEntityAttr(int entitySpecAttrId)

- ## Method Details

  - ### getEntitySpecAttrIds

    public Set<Integer> getEntitySpecAttrIds()

  - ### getEntitySpecAttrId

    public int getEntitySpecAttrId()

  - ### setEntitySpecAttrIds

    public void setEntitySpecAttrIds(Set<Integer> entitySpecAttrIds)

  - ### setEntitySpecAttrId

    public void setEntitySpecAttrId(int entitySpecAttrId)